Title
auto return type for main
Status
c++14
Section
6.9.3.1 [basic.start.main]
Submitter
Richard Smith

Created on 2013-04-26.00:00:00 last changed 81 months ago

Messages

Date: 2013-11-15.00:00:00

Proposed resolution (November, 2013):

Change 6.9.3.1 [basic.start.main] paragraph 2 as follows:

An implementation shall not predefine the main function. This function shall not be overloaded. It shall have a declared return type of type int, but otherwise its type is implementation-defined. All implementations An implementation shall allow both

  • a function of () returning int and

  • a function of (int, pointer to pointer to char) returning int

as the type...

Date: 2014-02-15.00:00:00

[Applied to WP at the February, 2014 meeting.]

Should it be permitted for main to have a deduced return type?

(See also issue 1676.)

History
Date User Action Args
2014-11-24 00:00:00adminsetstatus: accepted -> c++14
2014-03-03 00:00:00adminsetstatus: tentatively ready -> accepted
2014-01-20 00:00:00adminsetmessages: + msg4719
2014-01-20 00:00:00adminsetstatus: drafting -> tentatively ready
2013-10-14 00:00:00adminsetstatus: open -> drafting
2013-04-26 00:00:00admincreate